//  Copyright (c) CNES  2008
//
//  This software is part of CelestLab, a CNES toolbox for Scilab
//
//  This software is governed by the CeCILL license under French law and
//  abiding by the rules of distribution of free software.  You can  use,
//  modify and/ or redistribute the software under the terms of the CeCILL
//  license as circulated by CEA, CNRS and INRIA at the following URL
//  'http://www.cecill.info'.

extern "C"
{
/* ==================================================================== */
#include "api_scilab.h"
#include "Scierror.h"
#include "MALLOC.h"
#include <localization.h>
#include "CLx_gw_util.h"
#include "clx_tle.h"

/* ==================================================================== */
#if API_SCILAB_VERSION <= 3
// Scilab 5
int CLx_gw_tle_getconst(char *fname, unsigned long fname_len)
#else
// Scilab 6
int CLx_gw_tle_getconst(char *fname, void *pvApiCtx)
#endif
{
  int nconst = 0;
  double er = 0;
  double mu = 0;
  double j2 = 0;
  double j3 = 0;
  double j4 = 0;
  int err = 0;

  /* Check the number of input argument */
  CheckInputArgument(pvApiCtx, 1, 1);

  /* Check the number of output argument */
  CheckOutputArgument(pvApiCtx, 6, 6);

  // Input arguments
  getInputInteger(pvApiCtx, 1, &nconst, fname);

  // Call
  clx_tle_getconst(&nconst, &er, &mu, &j2, &j3, &j4, &err);

  // Outtput arguments
  setOutputDouble(pvApiCtx, 1, er, fname);
  setOutputDouble(pvApiCtx, 2, mu, fname);
  setOutputDouble(pvApiCtx, 3, j2, fname);
  setOutputDouble(pvApiCtx, 4, j3, fname);
  setOutputDouble(pvApiCtx, 5, j4, fname);
  setOutputInteger(pvApiCtx, 6, err, fname);

  return 0;
}
} /* extern "C" */
/* ==================================================================== */

