// This file is released under the 3-clause BSD license. See COPYING-BSD.

function builder_gateway_cpp()

    // If loaded, unload gateway before build it
    [loaded, id] = c_link("celestlabx_cpp");
    if loaded then
        ulink(id);
    end

    gateway_cpp_dir = get_absolute_file_path("builder_gateway_cpp.sce");

    // nom scilab - nom fonction C
    table_functions = ..
      ["CLx__tle_sgp4", "CLx_gw_tle_sgp4"; ..
       "CLx__tle_getconst", "CLx_gw_tle_getconst"; ..
       "CLx__tle_unkozai", "CLx_gw_tle_unkozai"; ..
       "CLx__installed", "CLx_gw_installed"];

    src_files = ..
      ["CLx_gw_tle_sgp4.cpp", ..
       "CLx_gw_tle_getconst.cpp", ..
       "CLx_gw_tle_unkozai.cpp", ..
       "CLx_gw_installed.cpp", ..
       "CLx_gw_util.cpp"];

    includes_src_cpp =  ilib_include_flag([gateway_cpp_dir, fullfile(gateway_cpp_dir, "../../src/cpp")]);
    
    tbx_build_gateway( ..
      "celestlabx_cpp", ..
      table_functions, ..
      src_files, ..
      gateway_cpp_dir, ..
      "../../src/cpp/libclx_cpp", ..
      "", ..
      includes_src_cpp);

endfunction

builder_gateway_cpp();
clear builder_gateway_cpp;
